# -*- coding: utf-8 -*-
#
# eVotUM - Electronic Voting System
# Copyright (c) 2017 Universidade do Minho
# Developed by Eurotux (dev@eurotux.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from __future__ import unicode_literals

from django.utils.translation import ugettext_lazy as _
from django.utils.encoding import python_2_unicode_compatible
from django.db import models

from django_extensions.db.models import TimeStampedModel
from evotecore.utils import documents_upload_to


@python_2_unicode_compatible
class Document(TimeStampedModel):
    """ """
    designation = models.CharField(_("document name"), max_length=128,
                                   blank=True, null=True)
    document = models.FileField(_("document file"),
                                upload_to=documents_upload_to)
    order = models.PositiveSmallIntegerField(_("order"), default=0)

    class Meta:
        ordering = ("order",)
        verbose_name = _("document")
        verbose_name_plural = _("documents")

    def __str__(self):
        return self.designation
