# -*- coding: utf-8 -*-
#
# eVotUM - Electronic Voting System
# Copyright (c) 2017 Universidade do Minho
# Developed by Eurotux (dev@eurotux.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# Generated by Django 1.10.5 on 2017-01-18 10:34
from __future__ import unicode_literals

from django.db import migrations, models
from django.core.management import call_command


def populate_default_actions(apps, schema_editor):
    call_command("loaddata", "actions.json")


class Migration(migrations.Migration):

    dependencies = [
        ('evoteprocesses', '0003_auto_20161221_1700'),
    ]

    operations = [
        migrations.AddField(
            model_name='action',
            name='order',
            field=models.PositiveSmallIntegerField(default=0, verbose_name='order'),
        ),
        migrations.RunPython(populate_default_actions,
                             reverse_code=migrations.RunPython.noop),
        migrations.AlterModelOptions(
            name='action',
            options={'ordering': ['order'], 'verbose_name': 'action', 'verbose_name_plural': 'actions'},
        ),
        migrations.AlterModelOptions(
            name='electoralaction',
            options={'ordering': ['action__order'], 'verbose_name': 'electoral action', 'verbose_name_plural': 'electoral actions'},
        ),
        migrations.AlterField(
            model_name='electoralaction',
            name='strength',
            field=models.PositiveSmallIntegerField(blank=True, choices=[(0, 'Simple'), (1, 'Strong'), (2, 'Critical')], default=1, verbose_name='strength'),
        ),
    ]
