# -*- coding: utf-8 -*-
#
# eVotUM - Electronic Voting System
# Copyright (c) 2017 Universidade do Minho
# Developed by Eurotux (dev@eurotux.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# Generated by Django 1.10.4 on 2016-12-20 10:46
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('evoteelections', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ElectionVoter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('name', models.CharField(db_index=True, max_length=255, verbose_name='name')),
                ('personnel_number', models.CharField(db_index=True, max_length=64, verbose_name='personnel number')),
                ('blind_vote_hash', models.CharField(db_index=True, editable=False, max_length=255, null=True, verbose_name='blind user cyphered vote hash')),
                ('vote_status', models.PositiveSmallIntegerField(choices=[(0, 'Unsubmitted'), (1, 'Submitted'), (2, 'Submitting')], default=0, verbose_name='vote status')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='election_voters', to='evoteelections.Category', verbose_name='category')),
                ('election', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='election_voters', to='evoteelections.Election', verbose_name='election')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='election_voters', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'voter',
                'verbose_name_plural': 'voters',
            },
        ),
        migrations.AlterIndexTogether(
            name='electionvoter',
            index_together=set([('election', 'vote_status')]),
        ),
    ]
