# -*- coding: utf-8 -*-
#
# eVotUM - Electronic Voting System
# Copyright (c) 2017 Universidade do Minho
# Developed by Eurotux (dev@eurotux.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# Generated by Django 1.10.4 on 2017-01-03 18:44
from __future__ import unicode_literals

import autoslug.fields
from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields
import evotevotings.voters.models


class Migration(migrations.Migration):

    dependencies = [
        ('evoteelections', '0003_remove_election_voting_references_date'),
        ('evotedocs', '0001_initial'),
        ('evotevoters', '0003_auto_20161223_1109'),
    ]

    operations = [
        migrations.CreateModel(
            name='ElectoralRoll',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('slug', autoslug.fields.AutoSlugField(editable=False, populate_from=evotevotings.voters.models.populate_electoral_roll, unique=True)),
                ('published_on', models.DateTimeField(default=None, null=True, verbose_name='published on')),
                ('imported', models.NullBooleanField(default=None)),
                ('document', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='evotedocs.Document', verbose_name='document')),
                ('election', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='electoral_rolls', to='evoteelections.Election', verbose_name='election')),
            ],
            options={
                'ordering': ('-created',),
                'verbose_name': 'electoral roll',
                'verbose_name_plural': 'electoral rolls',
            },
        ),
        migrations.AddField(
            model_name='electionvoter',
            name='is_active',
            field=models.BooleanField(default=False, verbose_name='is active'),
        ),
        migrations.AlterField(
            model_name='electionvoter',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='election_voters', to='evoteelections.Category', verbose_name='category'),
        ),
        migrations.AddField(
            model_name='electionvoter',
            name='electoral_rolls',
            field=models.ManyToManyField(related_name='election_voters', to='evotevoters.ElectoralRoll', verbose_name='electoral rolls'),
        ),
    ]
